# -*- mode: ruby -*-
# vi: set ft=ruby :

# All Vagrant configuration is done below. The "2" in Vagrant.configure
# configures the configuration version (we support older styles for
# backwards compatibility). Please don't change it unless you know what
# you're doing.
Vagrant.configure("2") do |config|
  config.vm.box = "markgyver/centos74"
  config.vm.box_check_update = false
  # config.vm.synced_folder "../data", "/vagrant_data"

  # Enable provisioning with a shell script. Additional provisioners such as
  # Puppet, Chef, Ansible, Salt, and Docker are also available. Please see the
  # documentation for more information about their specific syntax and use.
  config.vm.network "private_network", ip: "192.168.50.4"
  config.vm.provision "shell", inline: <<-SHELL
    yum -y update
    yum -y install nano curl git
    TMPFILE1=$(mktemp /tmp/my.XXXXX)
    TMPFILE2=$(mktemp /tmp/my.XXXXXX)
    curl -s https://repo.continuum.io/archive/Anaconda3-5.1.0-Linux-x86_64.sh > $TMPFILE1
    cat >$TMPFILE2 <<EOL

yes
/usr/local/anaconda3
yes
no
EOL
    bash $TMPFILE1 < $TMPFILE2
    rm $TMPFILE1 $TMPFILE2
    /usr/local/anaconda3/bin/python3 -m pip install --upgrade pip
    /usr/local/anaconda3/bin/python3 -m pip install jupyter
  SHELL
end